<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
################################################################################
only_reg();
if (!isset($_GET['user']) && !is_numeric($_GET['user'])){header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['user'])."' LIMIT 1",$db), 0)==0){header("Location: /index.php?".SID);exit;}
$ank=get_user(intval($_GET['user']));
$set['title']="Подарок для $ank[nick]";
include_once '../sys/inc/thead.php';
title();
aut();
################################################################################
if(isset($_GET['p']) && isset($_GET['dir']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['dir'])."'"),0) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id` = '".intval($_GET['p'])."'"),0))
{
$p=mysql_fetch_array(mysql_query("select * from `present_list` where `id`='".intval($_GET['p'])."';"));
if ($p['prise'] > $user['balls'])
{
$err='У вас недостаточно баллов';
err();
echo"<div class='foot'>\n";
echo"<a href='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."'>Назад</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
################################################################################
echo "<div class='str'>\n";
echo "Подарок для <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>";
echo "</div>\n";
################################################################################
echo "<div class='enk2_div'>\n";
echo "<center><img src='$p[url]'><br />\n";
echo "<b>$p[prise]</b> <u>баллов</u></center>\n";
echo "</div>\n";
################################################################################
if(isset($_POST['komm']))
{
$komm=mysql_real_escape_string($_POST['komm']);
if (strlen2($komm)>150)$err='Комментарий превышает предел в 150 символов';
if (!isset($err))
{
$komm=stripcslashes(htmlspecialchars($_POST['komm']));
$arr=mysql_fetch_array(mysql_query("SELECT * FROM `present_list` WHERE `id`='$p[id]'"));
$a=$arr['prise'];
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$p['prise'])."' WHERE `id` ='$user[id]';");
mysql_query("INSERT INTO `present_give` SET `id_user` = '".$user['id']."', `id_give` = '$ank[id]', `time` ='".time()."', `cena` ='$a', `pod` ='".intval($_POST['pod'])."', `id_p` ='$p[id]', `coment` ='$komm';");     
################################################################################
$msg='Вам подарок!';
mysql_query("INSERT INTO `present_jurnal` SET `msg` = '$msg', `id_user` = '$ank[id]', `time` ='".time()."';");
msg('Подарок подарен');
header('Location: /info.php?id='.$ank['id'].'');
include_once '../sys/inc/tfoot.php';
exit();   
}}
err();
echo "<form method='post' action='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."&amp;p=$p[id]'>\n";
echo "<div class='f1'>\n";
echo "<input type='radio' name='pod' value='0' checked='checked'> <b>Публичный</b><br />
Все будут видеть ваш подарок, сообщение и Ник.<br />\n";
echo "<input type='radio' name='pod' value='1'> <b>Личный</b><br />
Все будут видеть ваш подарок, но только получатель сможет видеть ваш Ник и сообщение.<br />\n";
echo "<input type='radio' name='pod' value='2'> <b>Анонимный</b><br />
Все будут видеть ваш подарок. Только получатель увидит ваше сообщение. Никто не увидит ваш Ник.<br />\n";
echo "</div>\n";
echo "<div class='f2'>\n";
echo "Коментарий к подарку:<br />\n<input type=\"text\" name=\"komm\" value=\"Поздравляю!\" /><br />\n";
echo "<input value=\"Подарить\" type=\"submit\" />\n";
echo "</form>\n";
echo "</div>\n";
echo"<div class='foot'>\n";
echo"<a href='?user=$ank[id]&amp;dir=".intval($_GET['dir'])."'>Назад</a><br />\n";
echo"</div>\n";
}
else if(isset($_GET['dir']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['dir'])."'"),0))
{
$dir=mysql_fetch_array(mysql_query("select * from `present_dir` where `id`='".intval($_GET['dir'])."';"));
$set['p_str']="30";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id_dir` = '$dir[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "<table class='post'>\n";
echo "   <tr>\n";
echo "  <td class='str'>\n";
echo "Подарков в категории нету\n";
echo "  </td>\n";
echo "   </tr>\n";
echo "</table>\n";
}

$res=mysql_query("select * from `present_list` WHERE `id_dir` = '$dir[id]' ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
echo "<div class='p10' style='overflow: hidden'>
<div class='photoline mt'>\n";
while ($post = mysql_fetch_array($res)){
echo "<div class='item'><a href='?user=$ank[id]&amp;dir=$dir[id]&amp;p=$post[id]'><img src='$post[url]' width='45' height='45'></a></div>\n";
}
echo "</div></div>\n";
if ($k_page>1)str("?user=$ank[id]&amp;dir=$dir[id]&amp;",$k_page,$page); // Вывод страниц
echo "<div class='foot'><img src='/images/Back.gif'> <a href='?user=$ank[id]'>Назад</a></div>\n";
}else{
################################################################################
$set['p_str']="30";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
################################################################################
echo "<table class='post'>\n";
if($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='str'>\n";
echo "Категорий пока нету<br />";
echo "  </td>\n";
echo "   </tr>\n";
}
################################################################################
$res = mysql_query("select * from `present_dir` ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($post = mysql_fetch_array($res)){
echo "   <tr>\n";
echo "  <td class='icon14'>\n";
if ($post['icon']!=NULL)echo "<img src='/style/present/$post[icon]' alt='' />";
else
echo "<img src='/style/themes/$set[set_them]/loads/14/dir.png' alt='' />\n";
echo "  </td>\n";
echo "  <td class='str'>\n";
echo"<a href='?user=$ank[id]&amp;dir=$post[id]'>$post[name]</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id_dir` = '$post[id]'"),0).")<br />";
echo "  </td>\n";
echo "   </tr>\n";
}
echo"</table>";
################################################################################
if ($k_page>1)str("?user=$ank[id]&amp;",$k_page,$page);
################################################################################
}
include_once '../sys/inc/tfoot.php';
?>

